JsonCpp project page | Classes | Namespace | JsonCpp home page

Json::ValueMembersView Class Reference

Range-based for loop adapter for object members. More...

`#include <json/value.h>`

## Public Member Functions

| ValueMembersView (ValueIterator begin, ValueIterator end)
ValueMembersIterator | begin () const
ValueMembersIterator | end () const

## Detailed Description

Range-based for loop adapter for object members.

Definition at line 1136 of file value.h.

## Constructor & Destructor Documentation

## ValueMembersView()

Json::ValueMembersView::ValueMembersView | ( | ValueIterator | begin,
|  | ValueIterator | end )

inline

Definition at line 1138 of file value.h.

References begin(), and end().

## Member Function Documentation

## begin()

ValueMembersIterator Json::ValueMembersView::begin | ( |  | ) | const

inline

Definition at line 1140 of file value.h.

Referenced by ValueMembersView().

## end()

ValueMembersIterator Json::ValueMembersView::end | ( |  | ) | const

inline

Definition at line 1141 of file value.h.

Referenced by ValueMembersView().

The documentation for this class was generated from the following file:

- include/json/value.h